com.salesforce.datacloud.jdbc.core.listener

## Class AdaptiveQueryStatusPoller

- java.lang.Object
- - com.salesforce.datacloud.jdbc.core.listener.AdaptiveQueryStatusPoller

All Implemented Interfaces:
  QueryStatusPoller

    public class AdaptiveQueryStatusPoller
    extends Object
    implements QueryStatusPoller

### Method Summary

All Methods Instance Methods Concrete Methods
`Optional<QueryResult>` `map(ExecuteQueryResponse item)`
`long` `pollChunkCount()`
`QueryStatus` `pollQueryStatus()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.salesforce.datacloud.jdbc.core.listener.QueryStatusPoller

`isReady, pollIsReady`

### Method Detail

#### map

    public Optional<QueryResult> map(ExecuteQueryResponse item)

#### pollQueryStatus

    public QueryStatus pollQueryStatus()

Specified by:
  `pollQueryStatus` in interface `QueryStatusPoller`

#### pollChunkCount

    public long pollChunkCount()

Specified by:
  `pollChunkCount` in interface `QueryStatusPoller`